## ros-noetic-rostwitter 2.1.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rostwitter)

find_package(catkin REQUIRED COMPONENTS rospy mk)

catkin_python_setup()

catkin_package()

install(PROGRAMS scripts/tweet.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

=== debian/changelog ===
ros-noetic-rostwitter (2.1.21-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.20-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.19-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.18-2buster) buster; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * clean up CMakeList.txt find_package
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.17-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.16-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-rostwitter (2.1.15-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-rostwitter (2.1.14-2buster) buster; urgency=high

  * remove debug print line in rostwitter to suppress log (#178 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/178>)
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-noetic-rostwitter (2.1.13-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-noetic-rostwitter (2.1.12-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-noetic-rostwitter (2.1.11-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-noetic-rostwitter (2.1.10-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-noetic-rostwitter (2.1.9-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-noetic-rostwitter (2.1.8-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-noetic-rostwitter (2.1.7-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-noetic-rostwitter (2.1.6-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.5-2buster) buster; urgency=high

  * update to use python-requests-oauthlib, maybe we can now just to copy python-twitter (#128 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/128> )
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.4-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.3-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.2-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.1-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-noetic-rostwitter (2.1.0-2buster) buster; urgency=high

  * rostwitter: fix error message when access token is not found (#100 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/100>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-noetic-rostwitter (2.0.20-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-noetic-rostwitter (2.0.19-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-rostwitter (2.0.18-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-noetic-rostwitter (2.0.17-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-noetic-rostwitter (2.0.16-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-noetic-rostwitter (2.0.15-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-noetic-rostwitter (2.0.14-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-noetic-rostwitter (2.0.13-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.12-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.11-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.10-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.9-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 26 Sep 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.8-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Sep 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.7-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Sep 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.6-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Sep 2015 00:00:00 -0000

ros-noetic-rostwitter (2.0.5-2buster) buster; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Aug 2015 00:00:00 -0000



=== debian/control ===
Source: ros-noetic-rostwitter
Section: misc
Priority: optional
Maintainer: k-okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-noetic-catkin, ros-noetic-mk, ros-noetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rostwitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, python3-requests-oauthlib, python3-simplejson, ros-noetic-rospy, ros-noetic-std-msgs
Description: The rostwitter package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rostwitter//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rostwitter 2.1.28

=== debian/changelog ===
ros-noetic-rostwitter (2.1.28-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-rostwitter (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-rostwitter (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-rostwitter (2.1.25-1focal) focal; urgency=high

  * [rostwitter] use sub and not delete (#446 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/446>)
  * [rostwitter] reduce save file io (#441 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/441>)
  * [rostwitter] Support extracting base64 images and tweet them from text. with jpeg suffix support (#437 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/437>)
  * [tweet_image_server] control volume by dynamic_reconfigure (#398 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/398>)
  * rostwitter : install resource directory (#370 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/370>)
  * [rostwitter] Suppress tweet log (#378 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/378>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * tweet_image_server.py: sound_play version < 0.3.7 does not support 'sound_action' argument, so it uses robot_sound, instead of robot_sound_jp
    
  * add rostwitter.test (#285 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/285>)
  * [rostwitter] set_aborted when error in tweet_image_server.py (#277 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/277>)
  * Contributors: Aoi Nakane, Iori Yanokura, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Yoshiki Obinata

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-rostwitter (2.1.24-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-rostwitter (2.1.23-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-rostwitter (2.1.22-1focal) focal; urgency=high

  * Refactor rostwitter (#235 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/235>)
    
      * fix desired_encoding=bgr8
      * use action
      * speak warning
      * remove only if exists
      * add utf-8 encoding
      * add tweet_image_server
      * do not raise error
      * add util.py
      * add Tweet srv
      * add twitter.py for reuse
    
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-rostwitter (2.1.21-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.20-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.19-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.18-1focal) focal; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * clean up CMakeList.txt find_package
      * use package.xml format 3 for package contains python depends
    
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.17-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.16-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-rostwitter (2.1.15-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-rostwitter (2.1.14-1focal) focal; urgency=high

  * remove debug print line in rostwitter to suppress log (#178 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/178>)
  * Contributors: Shingo Kitagawa

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-noetic-rostwitter (2.1.13-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Jul 2019 15:00:00 -0000

ros-noetic-rostwitter (2.1.12-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 May 2019 15:00:00 -0000

ros-noetic-rostwitter (2.1.11-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-noetic-rostwitter (2.1.10-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-noetic-rostwitter (2.1.9-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-noetic-rostwitter (2.1.8-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-noetic-rostwitter (2.1.7-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-noetic-rostwitter (2.1.6-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-noetic-rostwitter (2.1.5-1focal) focal; urgency=high

  * update to use python-requests-oauthlib, maybe we can now just to copy python-twitter (#128 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/128> )
  * Contributors: Kei Okada

 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-rostwitter (2.1.4-1focal) focal; urgency=high



 -- k-okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000



=== debian/control ===
Source: ros-noetic-rostwitter
Section: misc
Priority: optional
Maintainer: k-okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-generation, ros-noetic-mk, ros-noetic-rospy, ros-noetic-rostest <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rostwitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, python3-requests-oauthlib, python3-simplejson, ros-noetic-actionlib-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-rospy, ros-noetic-sound-play, ros-noetic-std-msgs
Description: The rostwitter package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
